Admiral

Api keys

Update an API key

PATCH
/v1/api-keys/{api_key.id}

Scope: apikey:write

Authorization

bearerAuth
AuthorizationBearer <token>

An API key, or an access token minted from one. Pass it in the Authorization header: Bearer admp_...

In: header

Path Parameters

api_key.id*id

Unique identifier for the key.

Match^key-[0-9a-z]+$

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

UpdateApiKeyRequest updates one of the caller's keys.

Response Body

application/json

curl -X PATCH "https://example.com/v1/api-keys/string" \  -H "Content-Type: application/json" \  -d '{}'
{  "api_key": {    "id": "string",    "name": "string",    "scopes": [      "string"    ],    "status": "API_KEY_STATUS_UNSPECIFIED",    "expires_at": "2023-01-15T01:30:15.01Z",    "last_used_at": "2023-01-15T01:30:15.01Z",    "revoked_at": "2023-01-15T01:30:15.01Z",    "created_by": {      "id": "string",      "display_name": "string",      "email": "string"    },    "created_at": "2023-01-15T01:30:15.01Z"  }}